<?php

namespace app\mobile\controller;

use app\BaseController;
use app\mobile\logic\OrderLogic;
use think\exception\ValidateException;
use think\facade\Config;
use think\facade\Validate;

//【订单】
class Order extends BaseController
{
    //兑换商品下单
    public function add(){

        $param = $this->request->only(['good_id','addr_id','num','remark'],'post');

        $val = Validate::rule(Config::get('validate_rules.ExchangeOrderAdd'));

        if(!$val->check($param)) throw new ValidateException($val->getError());

        return OrderLogic::add($param);

    }

    //订单列表
    public function list(){
        $param = $this->request->only(['page' => 1, 'size' => 10,'status'=>''], 'post');
        return OrderLogic::list($param);
    }

    //订单详情
    public function info(){
        $id = $this->request->post('id/d', 0);
        return OrderLogic::info($id);
    }


}